# Return Notetaker media links

> **GET** `https://api.us.nylas.com/v3/grants/{grant_id}/notetakers/{notetaker_id}/media`

Source: https://developer.nylas.com/docs/reference/api/notetaker/get-notetaker-media/

Returns a list of links to media generated by the specified Notetaker bot.

**Authentication:** NYLAS_API_KEY

## Parameters

### Path parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `grant_id` | string | Yes | ID of the grant to access. You can also use the email address associated with the grant, or use `/me/` to refer to the grant associated with an access token. |
| `notetaker_id` | string | Yes | ID of the Notetaker bot to access. |

## Responses

### 200 - Success. Returns Notetaker media.

- `request_id` (string) - The request ID.
- `data` (object)
  - `action_items` (object) - Details about the action items from the meeting.
    - `created_at` (number) - When the file was created, in seconds using the Unix timestamp format.
    - `expires_at` (number) - When the file will be deleted from the Nylas servers, in seconds using the Unix
timestamp format.
    - `name` (string) - The file name.
    - `size` (integer) - The size of the file, in bytes.
    - `ttl` (number) - How long the link to the file is valid, in seconds. This is the difference
between `expires_at` and the time when you made your request.
    - `type` (string) - The file type.
    - `url` (string) - A link to the summary.
  - `recording` (object) - Details about the meeting recording.
    - `created_at` (number) - When the file was created, in seconds using the Unix timestamp format.
    - `duration` (integer) - The duration of the recording, in seconds.
    - `expires_at` (number) - When the file will be deleted from the Nylas servers, in seconds using the Unix
timestamp format.
    - `name` (string) - The file name.
    - `size` (integer) - The size of the file, in bytes.
    - `ttl` (number) - How long the link to the file is valid, in seconds. This is the difference
between `expires_at` and the time when you made your request.
    - `type` (string) - The file type.
    - `url` (string) - A link to the meeting recording.
  - `summary` (object) - Details about the meeting summary.
    - `created_at` (number) - When the file was created, in seconds using the Unix timestamp format.
    - `expires_at` (number) - When the file will be deleted from the Nylas servers, in seconds using the Unix
timestamp format.
    - `name` (string) - The file name.
    - `size` (integer) - The size of the file, in bytes.
    - `ttl` (number) - How long the link to the file is valid, in seconds. This is the difference
between `expires_at` and the time when you made your request.
    - `type` (string) - The file type.
    - `url` (string) - A link to the summary.
  - `thumbnail` (object) - Details about the meeting thumbnail.
    - `created_at` (number) - When the file was created, in seconds using the Unix timestamp format.
    - `expires_at` (number) - When the file will be deleted from the Nylas servers, in seconds using the Unix
timestamp format.
    - `name` (string) - The file name.
    - `size` (integer) - The size of the file, in bytes.
    - `ttl` (number) - How long the link to the file is valid, in seconds. This is the difference
between `expires_at` and the time when you made your request.
    - `type` (string) - The file type.
    - `url` (string) - A link to the thumbnail.
  - `transcript` (object) - Details about the meeting transcript.
    - `created_at` (number) - When the file was created, in seconds using the Unix timestamp format.
    - `expires_at` (number) - When the file will be deleted from the Nylas servers, in seconds using the Unix
timestamp format.
    - `name` (string) - The file name.
    - `size` (integer) - The size of the file, in bytes.
    - `ttl` (number) - How long the link to the file is valid, in seconds. This is the difference
between `expires_at` and the time when you made your request.
    - `type` (string) - The file type.
    - `url` (string) - A link to the meeting transcript.

### 401 - Unauthorized

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.
  - `provider_error` (object) - The error from the provider.

### 404 - Not Found

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.
  - `provider_error` (object) - The raw error from the provider, if available
    - `code` (string)
    - `message` (string)

### 429 - Rate Limit

- `request_id` (string) - The request ID.
- `error` (object) - The response error object.
  - `type` (string) - The error type.
  - `message` (string) - The error message.

## Code samples

### cURL

```bash
curl --request GET \
  --url "https://api.us.nylas.com/v3/grants/<NYLAS_GRANT_ID>/notetakers/<NOTETAKER_ID>/media" \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>'
```

### Node.js SDK

```javascript
import Nylas from "nylas";

const nylas = new Nylas({
  apiKey: "<NYLAS_API_KEY>",
  apiUri: "<NYLAS_API_URI>",
});

async function downloadMedia() {
  try {
    const media = await nylas.notetakers.downloadMedia({
      identifier: "<NYLAS_GRANT_ID>",
      notetakerId: "<NOTETAKER_ID>",
    });

    console.log("Media:", media);
  } catch (error) {
    console.error("Error downloading media:", error);
  }
}

downloadMedia();

```

### Python SDK

```python
from nylas import Client

nylas = Client(
    "<NYLAS_API_KEY>",
    "<NYLAS_API_URI>",
)

media = nylas.notetakers.get_media(
    notetaker_id="<NOTETAKER_ID>",
    identifier="<NYLAS_GRANT_ID>",
)

print("Notetaker media:", media)

```

### Java SDK

```java
import com.nylas.NylasClient;
import com.nylas.models.NotetakerMediaResponse;
import com.nylas.models.NylasApiError;
import com.nylas.models.NylasSdkTimeoutError;
import com.nylas.models.Response;

public class DownloadNotetakerMedia {
  public static void main(String[] args) throws NylasSdkTimeoutError, NylasApiError {
    NylasClient nylas = new NylasClient.Builder("<NYLAS_API_KEY>").build();

    Response<NotetakerMediaResponse> media = nylas.notetakers().downloadMedia(
        "<NOTETAKER_ID>", "<NYLAS_GRANT_ID>");

    System.out.println("Media: " + media.getData());
  }
}

```

### Kotlin SDK

```kotlin
import com.nylas.NylasClient

fun main() {
  val nylas = NylasClient.Builder("<NYLAS_API_KEY>").build()

  val media = nylas.notetakers().downloadMedia("<NOTETAKER_ID>", "<NYLAS_GRANT_ID>")

  println("Media: ${media.data}")
}

```
